#ifndef AD5700_DEF
#define AD5700_DEF

#include "../common.h"

//=========================== defines =========================================

//=========================== typedef =========================================

typedef void (*hart_uart_rxByte_cbt)(uint8_t byte, uint8_t err);

//=========================== prototypes ======================================

void AD5700_Init(hart_uart_rxByte_cbt rxByte_cb);
void AD5700_Deinit(void);
void AD5700_txByte(uint8_t byte);
void AD5700_txFlush(void);

#endif
