#ifndef HART_MODEM_H
#define HART_MODEM_H

#include "../common.h"

//=========================== defines =========================================

//=========================== typedef =========================================

//=== callback signature
typedef void (*hart_modem_hartPayload_cbt) (void);

//=========================== variables =======================================

//=========================== prototypes ======================================

//==== admin
void    hart_modem_init(hart_modem_hartPayload_cbt cbt, uint8_t *hartPayloadBuf, uint8_t hartPayloadBufLen);

//==== public
void    hart_modem_hartPayloadReply(uint8_t bufLen, uint8_t *buf);
void    hart_modem_sendError(uint8_t err);


#endif
