#ifndef GPIO_DEF
#define GPIO_DEF

#include "common.h"

#include <drivers/gpio/adi_gpio.h>

/*
 **
 ** Source file generated on May 25, 2017 at 10:42:52.
 **
 ** Copyright (C) 2017 Analog Devices Inc., All Rights Reserved.
 **
 ** This file is generated automatically based upon the options selected in
 ** the Pin Multiplexing configuration editor. Changes to the Pin Multiplexing
 ** configuration should be made by changing the appropriate options rather
 ** than editing this file.
 **
 ** Selected Peripherals
 ** --------------------
 ** SPI1 (CLK, MOSI, MISO, CS_1)
 ** SPI2 (CLK, MOSI, MISO, CS_2)
 ** I2C0 (SCL, SDA)
 ** UART0 (Tx, Rx, SOUT_EN)
 ** UART1 (Tx, Rx)
 ** SWD0 (SWD0_CLK, SWD0_Data)
 ** SYS_BMODE (SYS_BMODE0)
 **
 ** GPIO (unavailable)
 ** ------------------
 ** P0_04, P0_05, P0_06, P0_07, P0_10, P0_11, P0_12, P1_01, P1_02, P1_03, P1_04, P1_06,
 ** P1_07, P1_08, P1_15, P2_00, P2_11, P2_13, P2_15
 */

#include "gpio.h"

#define SPI1_CLK_PORTP1_MUX  ((uint16_t) ((uint16_t) 1<<12))
#define SPI1_MOSI_PORTP1_MUX  ((uint16_t) ((uint16_t) 1<<14))
#define SPI1_MISO_PORTP1_MUX  ((uint32_t) ((uint32_t) 1<<16))
//#define SPI1_CS_1_PORTP2_MUX  ((uint32_t) ((uint32_t) 1<<22))
#define SPI2_CLK_PORTP1_MUX  ((uint16_t) ((uint16_t) 1<<4))
#define SPI2_MOSI_PORTP1_MUX  ((uint16_t) ((uint16_t) 1<<6))
#define SPI2_MISO_PORTP1_MUX  ((uint16_t) ((uint16_t) 1<<8))
#define SPI2_CS_2_PORTP2_MUX  ((uint32_t) ((uint32_t) 1<<30))
#define I2C0_SCL_PORTP0_MUX  ((uint16_t) ((uint16_t) 1<<8))
#define I2C0_SDA_PORTP0_MUX  ((uint16_t) ((uint16_t) 1<<10))
#define UART0_TX_PORTP0_MUX  ((uint32_t) ((uint32_t) 1<<20))
#define UART0_RX_PORTP0_MUX  ((uint32_t) ((uint32_t) 1<<22))
//#define UART0_SOUT_EN_PORTP0_MUX  ((uint32_t) ((uint32_t) 3<<24))
#define UART1_TX_PORTP1_MUX  ((uint32_t) ((uint32_t) 2<<30))
#define UART1_RX_PORTP2_PIN0_MUX  ((uint16_t) ((uint16_t) 2<<0))
//#define UART1_RX_PORTP2_PIN13_MUX  ((uint32_t) ((uint32_t) 1<<26))
#define SWD0_SWD0_CLK_PORTP0_MUX  ((uint16_t) ((uint16_t) 0<<12))
#define SWD0_SWD0_DATA_PORTP0_MUX  ((uint16_t) ((uint16_t) 0<<14))
#define SYS_BMODE_SYS_BMODE0_PORTP1_MUX  ((uint16_t) ((uint16_t) 0<<2))

//#define SYS_WAKEUP_SYS_WAKE3_PORTP2_MUX  ((uint16_t) ((uint16_t) 1<<2))
#define RTC_RTC_SS1_PORTP2_MUX  ((uint32_t) ((uint32_t) 3<<22))

#define gpio_ad5700RtsTx() adi_gpio_SetLow(ADI_GPIO_PORT0, ADI_GPIO_PIN_0)  // pin P0.0
#define gpio_ad5700RtsRx() adi_gpio_SetHigh(ADI_GPIO_PORT0, ADI_GPIO_PIN_0)
#define gpio_ledOn()   adi_gpio_SetLow(ADI_GPIO_PORT1, ADI_GPIO_PIN_13)
#define gpio_ledOff()  adi_gpio_SetHigh(ADI_GPIO_PORT1, ADI_GPIO_PIN_13)

#endif
